# SPDX-License-Identifier: MIT
%global source_name        sil-mondulkiri-extra-fonts
%global source_summary     Extra Khmer script font families from the SIL Mondulkiri project
%global source_version     5.300
%global source_release     9
%global source_url         https://scripts.sil.org/Mondulkiri
%global source_license     OFL
%global source_tags        %{expand:
BuildArch: noarch
}
%global source_description %{expand:
The Mondulkiri font families provide Unicode support for the Khmer script.
“Mondulkiri” and “Ratanakiri” are the names of two provinces in north-eastern
Cambodia, Busra and Oureang are names of places in Mondulkiri province.
}

%global default_fonts_foundry      SIL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family0             Ratanakiri
%global fonts_summary0            Khmer Ratanakiri, a Khmer Mool title font family
%global fonts_fonts0              RataV53.ttf
%global fonts_experimental_confs0 66-%{fonts_name0}.xml
%global fonts_description0        %{expand:
%{source_description}

Khmer Ratanakiri is a Mool (or Muol or Muul) font family which is frequently
used for headings and signs. At this point of time most ligatures have not yet
been implemented. Some coengs of independent vowels and other features used
only infrequently in normal Khmer text are currently still implemented in a
different character style. This font does not support more than one
below‐coeng, i.e. words like លក្ស្មណៈ cannot be written in it.}

%global fonts_family1             Oureang
%global fonts_summary1            Khmer Oureang, a very bold Khmer title font family
%global fonts_tags1               %{expand:
Suggests: font(khmermondulkiri)
}
%global fonts_fonts1              Mo9V55.ttf
%global fonts_experimental_confs1 66-%{fonts_name1}.xml
%global fonts_description1        %{expand:
%{source_description}

Khmer Oureang is a very bold Khmer script font family, useful for headings. It
was formerly named “Khmer Mondulkiri ultra”.}

%global fonts_family2             Busra MOE
%global fonts_summary2            Khmer Busra MOE, a special Khmer Busra variant
%global fonts_tags2               %{expand:
Suggests: font(khmerbusra)
}
%global fonts_fonts2              Mo5V56MO.ttf
%global fonts_experimental_confs2 66-%{fonts_name2}.xml
%global fonts_description2        %{expand:
%{source_description}

Khmer Busra MOE drops a below‐vowel in a cluster containing a coeng‐Ro.}

%global fonts_family3             Busra dict
%global fonts_summary3            Khmer Busra dict, a special Khmer Busra variant
%global fonts_tags3               %{expand:
Suggests: font(khmerbusra)
}
%global fonts_fonts3              Mo5V56dc.ttf
%global fonts_experimental_confs3 66-%{fonts_name3}.xml
%global fonts_description3        %{expand:
%{source_description}

Khmer Busra dict has alternative shapes for four of the Khmer letters as they
are found in some dictionaries.}

%global fonts_family4             Busra high
%global fonts_summary4            Khmer Busra high, a special Khmer Busra variant
%global fonts_tags4               %{expand:
Suggests: font(khmerbusra)
}
%global fonts_fonts4              Mo5V56hi.ttf
%global fonts_experimental_confs4 66-%{fonts_name4}.xml
%global fonts_description4        %{expand:
%{source_description}

Khmer Busra high has a higher line height in order to accommodate some rare
Khmer words on screen.}

%global fonts_family5             Busra Bunong
%global fonts_summary5            Khmer Busra Bunong, a special Khmer Busra variant
%global fonts_tags5               %{expand:
Suggests: font(khmerbusra)
}
%global fonts_fonts5              Mo5V56Bu.ttf
%global fonts_experimental_confs5 66-%{fonts_name5}.xml
%global fonts_description5        %{expand:
%{source_description}

Khmer Busra Bunong has a lower line height. Some coengs or vowels under coengs
may not display on screen or touch the top character of the next line. If any
parts are clipped on the screen they should, however, be visible in print. It
will provide more lines of text on a given page.}

%global fonts_family6             Busra xspace
%global fonts_summary6            Khmer Busra xspace, a special Khmer Busra variant
%global fonts_tags6               %{expand:
Suggests: font(khmerbusra)
}
%global fonts_fonts6              Mo5V56xs.ttf
%global fonts_experimental_confs6 66-%{fonts_name6}.xml
%global fonts_description6        %{expand:
%{source_description}

Khmer Busra xspace makes a number of otherwise invisible or not easily visible
characters visible. However, many word processors and editors take charge of
some or all of these characters and do not display them in the way they are
provided in the font.}

%global fonts_family7             Busra diagnostic
%global fonts_summary7            Khmer Busra diagnostic, a special Khmer Busra variant
%global fonts_tags7               %{expand:
Suggests: font(khmerbusra)
}
%global fonts_fonts7              Mo5V56di.ttf
%global fonts_experimental_confs7 66-%{fonts_name7}.xml
%global fonts_description7        %{expand:
%{source_description}

Khmer Busra diagnostic does the same as Khmer Busra xspace, but also adds
dotted circles before coengs if they follow a vowel as well as in between
multiple above‐symbols. Both of these character sequences are permitted in
Windows, but the former is often a miss‐spelling and the latter is also usually
unintended and a miss‐spelling as well as not being permitted in other
operating systems. In this way the font helps to spot common typos.}

%global fonts_family8             Busra dot
%global fonts_summary8            Khmer Busra dot, a special Khmer Busra variant
%global fonts_tags8               %{expand:
Suggests: font(khmerbusra)
}
%global fonts_fonts8              Mo5V56do.ttf
%global fonts_experimental_confs8 66-%{fonts_name8}.xml
%global fonts_description8        %{expand:
%{source_description}

This font does something that a Unicode font should not do and that is it does
not show the “correct” symbol for one particular Unicode code-point. It shows a
dotted circle in the place where a ក should be shown. It may be used for
didactic purposes.}

%global fonts_meta_all0           true

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     documentation/*.pdf

%auto_init
%auto_pkg

%sourcelist
%global archive_name Mondulkiri-%{version}
https://scripts.sil.org/cms/scripts/render_download.php?format=file&media_id=%{archive_name}&filename=%{archive_name}.zip#/%{archive_name}.zip
66-%{fonts_name0}.xml
66-%{fonts_name1}.xml
66-%{fonts_name2}.xml
66-%{fonts_name3}.xml
66-%{fonts_name4}.xml
66-%{fonts_name5}.xml
66-%{fonts_name6}.xml
66-%{fonts_name7}.xml
66-%{fonts_name8}.xml
%auto_sources

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
